Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.core.sqlnode
Class SqlNodeTextVisitor

    java.lang.Object
      com.hp.hpl.jena.sdb.core.sqlnode.SqlNodeTextVisitor

All Implemented Interfaces:
  SqlNodeVisitor

    public class SqlNodeTextVisitor

extends Object
implements SqlNodeVisitor

Constructor Summary
`SqlNodeTextVisitor(org.openjena.atlas.io.IndentedWriter out)`
`SqlNodeTextVisitor(org.openjena.atlas.io.IndentedWriter out, boolean withAnnotations)`

Method Summary
`void` | `visit(SqlCoalesce sqlNode)`
`void` | `visit(com.hp.hpl.jena.sdb.core.sqlnode.SqlDistinct sqlNode)`
`void` | `visit(SqlJoinInner sqlJoin)`
`void` | `visit(SqlJoinLeftOuter sqlJoin)`
`void` | `visit(SqlProject sqlNode)`
`void` | `visit(com.hp.hpl.jena.sdb.core.sqlnode.SqlRename sqlRename)`
`void` | `visit(SqlRestrict sqlNode)`
`void` | `visit(SqlSelectBlock sqlNode)`
`void` | `visit(SqlSlice sqlNode)`
`void` | `visit(SqlTable sqlNode)`
`void` | `visit(SqlUnion sqlUnion)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SqlNodeTextVisitor

    public SqlNodeTextVisitor(org.openjena.atlas.io.IndentedWriter out)

### SqlNodeTextVisitor

    public SqlNodeTextVisitor(org.openjena.atlas.io.IndentedWriter out,
                              boolean withAnnotations)

Method Detail

### visit

    public void visit(SqlProject sqlNode)

### visit

    public void visit(com.hp.hpl.jena.sdb.core.sqlnode.SqlDistinct sqlNode)

### visit

    public void visit(SqlRestrict sqlNode)

### visit

    public void visit(com.hp.hpl.jena.sdb.core.sqlnode.SqlRename sqlRename)

### visit

    public void visit(SqlTable sqlNode)

  Specified by:
    `visit` in interface `SqlNodeVisitor`

### visit

    public void visit(SqlJoinInner sqlJoin)

  Specified by:
    `visit` in interface `SqlNodeVisitor`

### visit

    public void visit(SqlJoinLeftOuter sqlJoin)

  Specified by:
    `visit` in interface `SqlNodeVisitor`

### visit

    public void visit(SqlUnion sqlUnion)

  Specified by:
    `visit` in interface `SqlNodeVisitor`

### visit

    public void visit(SqlCoalesce sqlNode)

  Specified by:
    `visit` in interface `SqlNodeVisitor`

### visit

    public void visit(SqlSlice sqlNode)

### visit

    public void visit(SqlSelectBlock sqlNode)

  Specified by:
    `visit` in interface `SqlNodeVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.